### Method

# WebKit CookieManager get_cookies

since: 2.20

#### Declaration [src]

    void
    webkit_cookie_manager_get_cookies (
      WebKitCookieManager* cookie_manager,
      const gchar* uri,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously get a list of `SoupCookie` from `cookie_manager`.

Asynchronously get a list of `SoupCookie` from `cookie_manager` associated with `uri`, which must be either an HTTP or an HTTPS URL.

When the operation is finished, `callback` will be called. You can then call `webkit_cookie_manager_get_cookies_finish()` to get the result of the operation.

Available since: 2.20

#### Parameters

`uri`

  Type: `const gchar*`

  The URI associated to the cookies to be retrieved.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.